package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_BASE_ROLE = "user_base_role"
	BASE_UID       = "base_uid"
	BASE_NAME      = "base_name"
	BASE_TYPE      = "base_type"
	CORE_UID       = "_uid"
)

type UserBase struct {
	db.ModelUserPlace
	BaseUID string `gorm:"type:char(32);index"`
}
type Base struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Core struct {
	db.ModelContent
	BaseUID string `gorm:"type:char(32);index"`
}


func init() { db.CmdModels("", &UserBase{}, &Base{}, &Core{}) }