package base

import "shylinux.com/x/ice"

type base struct{ Table }

func init() { ice.TeamCtxCmd(base{}) }

type BaseType int

const (
	BaseRD BaseType = iota
	BaseOP
	BaseHR
)

var BaseTypeList = map[BaseType]string{
	BaseRD: "RD",
	BaseOP: "OP",
	BaseHR: "HR",
}

func (s BaseType) String() string { return BaseTypeList[s] }