package h3

import "shylinux.com/x/ice"

type h3 struct{ Table }

func init() { ice.TeamCtxCmd(h3{}) }

type H3Type int

const (
	H3RD H3Type = iota
	H3OP
	H3HR
)

var H3TypeList = map[H3Type]string{
	H3RD: "RD",
	H3OP: "OP",
	H3HR: "HR",
}

func (s H3Type) String() string { return H3TypeList[s] }