package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_H3_ROLE = "user_h3_role"
	H3_UID       = "h3_uid"
	H3_NAME      = "h3_name"
	H3_TYPE      = "h3_type"
	H4_UID       = "_uid"
)

type UserH3 struct {
	db.ModelUserPlace
	H3UID string `gorm:"type:char(32);index"`
}
type H3 struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type H4 struct {
	db.ModelContent
	H3UID string `gorm:"type:char(32);index"`
}


func init() { db.CmdModels("", &UserH3{}, &H3{}, &H4{}) }