package h5

import "shylinux.com/x/ice"

type h5 struct{ Table }

func init() { ice.TeamCtxCmd(h5{}) }

type H5Type int

const (
	H5RD H5Type = iota
	H5OP
	H5HR
)

var H5TypeList = map[H5Type]string{
	H5RD: "RD",
	H5OP: "OP",
	H5HR: "HR",
}

func (s H5Type) String() string { return H5TypeList[s] }